org.apache.tomcat.util.net

## Class NioBlockingSelector.KeyReference

- java.lang.Object
- - org.apache.tomcat.util.net.NioBlockingSelector.KeyReference

- Enclosing class:
    NioBlockingSelector

      public static class NioBlockingSelector.KeyReference
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioBlockingSelector.KeyReference()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finalize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NioBlockingSelector.KeyReference

          public NioBlockingSelector.KeyReference()

  - ### Method Detail

    - #### finalize

          public void finalize()
                        throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.